# Gyokeres Deploy Assistance - FAQ de Déploiement

Ce guide fournit des instructions sur comment déployer et exécuter les différents composants du projet Gyokeres.

Aucune documentation n'était fournie après avoir récupéré le projet. Ce guide explique donc comment le déployer.
Ceci dit, après avoir fouillé quelques minutes, la procédure d'installation est très simple et rapide.

Nous avons modifié une variable dans le déploiement des applications pour correspondre à l'adresse de la VM utilisée.
Les modifications apportées n'ont pas pris beaucoup de temps.

## Prérequis

Si vous êtes sur linux, installez 'dos2unix' via apt, yay ou votre package manager préféré.

Installez docker engine (avec docker compose) en suivant les instructions <https://docs.docker.com/engine/install/>

Il faut ensuite s'assurer que vous possédez les autorisations pour executer des commandes docker.
Si vous obtenez des erreurs de docker, lancez la commande :

```
sudo usermod -aG docker $USER
```

## API

### Comment déployer

Se rendre dans le répertoire gyokeres-api-rebirth

1. Exécutez le script d'initialisation :
   ```bash
   ./init.sh
   ```

### Notes

- Relancer `init.sh` réinitialisera les données des conteneurs (y compris la base de données)
- Pour la persistance des données, envisagez de monter un volume Docker
- PgAdmin est disponible mais nécessite une configuration supplémentaire pour se connecter aux bases de données

## Application Mobile

### Comment déployer

Se rendre dans le répertoire gyokeres-mobile-rebirth

1. Installez les dépendances :

   ```bash
   npm install
   ```

2. Démarrez le serveur de développement :
   ```bash
   npm run start
   ```

### Compilation pour Android en local

1. Suivez les instructions à : https://www.youtube.com/watch?v=4TjRX90XpEM
2. Compilez en utilisant :
   ```bash
   eas build --android --local
   ```

## Application Web

### Comment déployer

1. Exécutez le script d'initialisation :

   ```bash
   ./init.sh
   ```

2. Accédez à l'application à :
   ```
   http://130.79.214.170:8080/home
   ```

## Recommandations de Déploiement

- **Documentation** : Envisagez d'étoffer la documentation avec des instructions d'installation
- **Configuration Docker** : Envisagez de placer la logique de déploiement dans des Dockerfiles pour :
  - Faciliter le redémarrage en cas d'erreurs
  - Améliorer la portabilité
  - Améliorer la synchronisation et la persistance des données
- **Structure du dépôt** : Actuellement maintenu comme des dépôts séparés suivant la structure originale

## Configuration du Serveur

Pour préparer un serveur Proxmox :

1. connexion au vpn, puis `ssh sae61-jager@130.79.214.170` ou (root) `ssh sae61-jagermasters@130.79.214.170`
1. (éventuel) ajouter l'user de base aux sudoers `sudo usermod -aG sudo sae61-jager`
1. Installez Docker (commandes à ajouter) <https://docs.docker.com/engine/install/debian/#install-using-the-repository>
